## stress-ng 0.18.04

=== Makefile ===
--- 
+++ 
@@ -17,10 +17,36 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.17.06
-#
-# Codename "scintillating scheduler smasher"
-#
+#
+# Codename "canny kernel crusher"
+#
+VERSION=0.18.04
+
+#
+# Determine supported toolchains
+#
+COMPILER = cc
+ifneq ($(shell $(CC) -v 2>&1 | grep version | grep gcc),)
+COMPILER = gcc
+endif
+ifneq ($(shell $(CC) -v 2>&1 | grep version | grep icc),)
+COMPILER = icc
+endif
+ifneq ($(shell $(CC) -v 2>&1 | grep "Portable C Compiler"),)
+COMPILER = pcc
+endif
+ifneq ($(shell $(CC) -v 2>&1 | grep "tcc"),)
+COMPILER = tcc
+endif
+ifneq ($(shell $(CC) -v 2>&1 | grep version | grep clang),)
+COMPILER = clang
+endif
+ifneq ($(shell $(CC) -v 2>&1 | grep oneAPI | grep Compiler),)
+COMPILER = icx
+endif
+ifneq ($(shell $(CC) -v 2>&1 | grep scan-build),)
+COMPILER = scan-build
+endif
 
 KERNEL=$(shell uname -s)
 NODENAME=$(shell uname -n)
@@ -32,7 +58,7 @@
 #  gcc-13.2, so remove then and ensure at least -O2 is used or
 #  honour flags > -O2 if they are provided
 #
-VNNI_OFLAGS_REMOVE=-O0 -O1 -Og
+VNNI_OFLAGS_REMOVE=-O0 -O1 -Os -Oz -Og
 VNNI_CFLAGS += $(filter-out $(VNNI_OFLAGS_REMOVE),$(CFLAGS))
 
 #
@@ -74,7 +100,7 @@
 #
 # Test for hardening flags and apply them if applicable
 #
-MACHINE = $(shell uname -m)
+MACHINE = $(shell make -f Makefile.machine)
 ifneq ($(PRESERVE_CFLAGS),1)
 ifneq ($(MACHINE),$(filter $(MACHINE),alpha parisc ia64))
 flag = -Wformat -fstack-protector-strong \
@@ -87,9 +113,13 @@
 #
 # Optimization flags
 #
-ifeq ($(findstring icc,$(CC)),)
-override CFLAGS += $(foreach flag,-fipa-pta,$(cc_supports_flag))
-endif
+ifneq ($(filter-out clang icc scan-build,$(COMPILER)),)
+override CFLAGS += $(foreach flag,-fipa-pta -fivopts,$(cc_supports_flag))
+ifneq ($(MACHINE),$(filter $(MACHINE),ibms390))
+override CFLAGS += $(foreach flag,-fmodulo-sched,$(cc_supports_flag))
+endif
+endif
+
 #
 # Enable Link Time Optimization
 #
@@ -97,11 +127,31 @@
 override CFLAGS += $(foreach flag,-flto=auto,$(cc_supports_flag))
 endif
 
+ifeq ($(GARBAGE_COLLECT),1)
+#
+# Sections flags
+#
+SECTIONS_FLAGS := -ffunction-sections -fdata-sections -Wl,--gc-sections
+override CFLAGS += $(foreach flag,$(SECTIONS_FLAGS),$(cc_supports_flag))
+
+ifneq ($(VERBOSE),)
+GC_SECTIONS_FLAGS := -Wl,--print-gc-sections
+override CFLAGS += $(foreach flag,$(GC_SECTIONS_FLAGS),$(cc_supports_flag))
+endif
+endif
+
 #
 # Expected build warnings
 #
 ifeq ($(UNEXPECTED),1)
 override CFLAGS += -DCHECK_UNEXPECTED
+endif
+
+#
+# Building with Coverity?
+#
+ifeq ($(COVERITY),1)
+override CFLAGS += -DCOVERITY
 endif
 
 #
@@ -122,14 +172,14 @@
 endif
 
 ifneq ($(PRESERVE_CFLAGS),1)
-ifeq ($(findstring icc,$(CC)),icc)
+ifeq ($(findstring icc,$(COMPILER)),icc)
 override CFLAGS += -no-inline-max-size -no-inline-max-total-size
 override CFLAGS += -axAVX,CORE-AVX2,CORE-AVX-I,CORE-AVX512,SSE2,SSE3,SSSE3,SSE4.1,SSE4.2,SANDYBRIDGE,SKYLAKE,SKYLAKE-AVX512,TIGERLAKE,SAPPHIRERAPIDS
 override CFLAGS += -ip -falign-loops -funroll-loops -ansi-alias -fma -qoverride-limits
 endif
 endif
 
-#ifeq ($(findstring clang,$(CC)),clang)
+#ifeq ($(findstring clang,$(COMPILER)),clang)
 #override CFLAGS += -Weverything
 #endif
 
@@ -155,7 +205,6 @@
 MANDIR=/usr/share/man/man1
 JOBDIR=/usr/share/stress-ng/example-jobs
 BASHDIR=/usr/share/bash-completion/completions
-
 
 #
 # Header files
@@ -212,6 +261,7 @@
 	core-processes.h \
 	core-pthread.h \
 	core-put.h \
+	core-rapl.h \
 	core-resources.h \
 	core-sched.h \
 	core-setting.h \
@@ -257,13 +307,16 @@
 	stress-atomic.c \
 	stress-bad-altstack.c \
 	stress-bad-ioctl.c \
+	stress-besselmath.c \
 	stress-bigheap.c \
 	stress-bind-mount.c \
 	stress-binderfs.c \
 	stress-bitonicsort.c \
+	stress-bitops.c \
 	stress-branch.c \
 	stress-brk.c \
 	stress-bsearch.c \
+	stress-bubblesort.c \
 	stress-cache.c \
 	stress-cacheline.c \
 	stress-cap.c \
@@ -302,6 +355,7 @@
 	stress-eventfd.c \
 	stress-exec.c \
 	stress-exit-group.c \
+	stress-expmath.c \
 	stress-factor.c \
 	stress-fallocate.c \
 	stress-fanotify.c \
@@ -309,9 +363,11 @@
 	stress-fault.c \
 	stress-fcntl.c \
 	stress-fd-fork.c \
-	stress-file-ioctl.c \
+	stress-fd-race.c \
+	stress-fibsearch.c \
 	stress-fiemap.c \
 	stress-fifo.c \
+	stress-file-ioctl.c \
 	stress-filename.c \
 	stress-flock.c \
 	stress-flushcache.c \
@@ -321,6 +377,7 @@
 	stress-fp.c \
 	stress-fp-error.c \
 	stress-fpunch.c \
+	stress-fractal.c \
 	stress-fsize.c \
 	stress-fstat.c \
 	stress-full.c \
@@ -343,6 +400,8 @@
 	stress-idle-page.c \
 	stress-inode-flags.c \
 	stress-inotify.c \
+	stress-insertionsort.c \
+	stress-intmath.c \
 	stress-io.c \
 	stress-iomix.c \
 	stress-ioport.c \
@@ -368,10 +427,13 @@
 	stress-lockbus.c \
 	stress-locka.c \
 	stress-lockf.c \
+	stress-lockmix.c \
 	stress-lockofd.c \
+	stress-logmath.c \
 	stress-longjmp.c \
 	stress-loop.c \
 	stress-lsearch.c \
+	stress-lsm.c \
 	stress-madvise.c \
 	stress-malloc.c \
 	stress-matrix.c \
@@ -386,6 +448,7 @@
 	stress-mergesort.c \
 	stress-metamix.c \
 	stress-mincore.c \
+	stress-min-nanosleep.c \
 	stress-misaligned.c \
 	stress-mknod.c \
 	stress-mlock.c \
@@ -403,9 +466,11 @@
 	stress-mpfr.c \
 	stress-mq.c \
 	stress-mremap.c \
+	stress-mseal.c \
 	stress-msg.c \
 	stress-msync.c \
 	stress-msyncmany.c \
+	stress-mtx.c \
 	stress-munmap.c \
 	stress-mutex.c \
 	stress-nanosleep.c \
@@ -432,8 +497,10 @@
 	stress-pkey.c \
 	stress-plugin.c \
 	stress-poll.c \
+	stress-powmath.c \
 	stress-prctl.c \
 	stress-prefetch.c \
+	stress-prime.c \
 	stress-prio-inv.c \
 	stress-priv-instr.c \
 	stress-procfs.c \
@@ -485,6 +552,7 @@
 	stress-sigchld.c \
 	stress-sigfd.c \
 	stress-sigfpe.c \
+	stress-sigill.c \
 	stress-sigio.c \
 	stress-signal.c \
 	stress-signest.c \
@@ -495,6 +563,8 @@
 	stress-sigsegv.c \
 	stress-sigsuspend.c \
 	stress-sigtrap.c \
+	stress-sigurg.c \
+	stress-sigvtalrm.c \
 	stress-sigxcpu.c \
 	stress-sigxfsz.c \
 	stress-skiplist.c \
@@ -508,96 +578,3 @@
 	stress-sockmany.c \
 	stress-softlockup.c \
 	stress-spawn.c \
-	stress-sparsematrix.c \
-	stress-splice.c \
-	stress-stack.c \
-	stress-stackmmap.c \
-	stress-str.c \
-	stress-stream.c \
-	stress-swap.c \
-	stress-switch.c \
-	stress-sync-file.c \
-	stress-syncload.c \
-	stress-sysbadaddr.c \
-	stress-syscall.c \
-	stress-sysinfo.c \
-	stress-sysinval.c \
-	stress-sysfs.c \
-	stress-tee.c \
-	stress-timer.c \
-	stress-timerfd.c \
-	stress-time-warp.c \
-	stress-tlb-shootdown.c \
-	stress-tmpfs.c \
-	stress-touch.c \
-	stress-tree.c \
-	stress-trig.c \
-	stress-tsc.c \
-	stress-tsearch.c \
-	stress-tun.c \
-	stress-udp.c \
-	stress-udp-flood.c \
-	stress-umount.c \
-	stress-unshare.c \
-	stress-uprobe.c \
-	stress-urandom.c \
-	stress-userfaultfd.c \
-	stress-usersyscall.c \
-	stress-utime.c \
-	stress-vdso.c \
-	stress-vecfp.c \
-	stress-vecmath.c \
-	stress-vecshuf.c \
-	stress-vecwide.c \
-	stress-verity.c \
-	stress-vforkmany.c \
-	stress-vm.c \
-	stress-vm-addr.c \
-	stress-vm-rw.c \
-	stress-vm-segv.c \
-	stress-vm-splice.c \
-	stress-vma.c \
-	stress-vnni.c \
-	stress-wait.c \
-	stress-waitcpu.c \
-	stress-watchdog.c \
-	stress-wcs.c \
-	stress-workload.c \
-	stress-x86cpuid.c \
-	stress-x86syscall.c \
-	stress-xattr.c \
-	stress-yield.c \
-	stress-zero.c \
-	stress-zlib.c \
-	stress-zombie.c \
-
-
-#
-#  Build time core source files
-#
-CORE_SRC_GEN = \
-	core-config.c
-
-#
-# Stress core
-#
-CORE_SRC = \
-	core-affinity.c \
-	core-asm-ret.c \
-	core-cpu.c \
-	core-cpu-cache.c \
-	core-cpuidle.c \
-	core-clocksource.c \
-	core-config-check.c \
-	core-hash.c \
-	core-helper.c \
-	core-ignite-cpu.c \
-	core-interrupts.c \
-	core-io-uring.c \
-	core-io-priority.c \
-	core-job.c \
-	core-killpid.c \
-	core-klog.c \
-	core-limit.c \
-	core-lock.c \
-	core-log.c \
