## stress-ng 0.18.07

=== Makefile ===
--- 
+++ 
@@ -18,9 +18,9 @@
 #
 
 #
-# Codename "canny kernel crusher"
-#
-VERSION=0.18.04
+# Codename "portable process pressurizer"
+#
+VERSION=0.18.07
 
 #
 # Determine supported toolchains
@@ -44,8 +44,20 @@
 ifneq ($(shell $(CC) -v 2>&1 | grep oneAPI | grep Compiler),)
 COMPILER = icx
 endif
+ifeq ($(shell echo | $(CC) -E -Wp,-v - 2>&1 | grep musl  > /dev/null && echo 1),1)
+COMPILER = musl-gcc
+override CFLAGS += -DHAVE_CC_MUSL_GCC
+endif
 ifneq ($(shell $(CC) -v 2>&1 | grep scan-build),)
 COMPILER = scan-build
+endif
+
+#
+# check for ALT linux gcc, define HAVE_ALT_LINUX_GCC, see core-shim.c
+# https://github.com/ColinIanKing/stress-ng/issues/452
+#
+ifneq ($(shell $(CC) -v 2>&1 | grep Target | grep "alt-linux"),)
+override CFLAGS += -DHAVE_ALT_LINUX_GCC
 endif
 
 KERNEL=$(shell uname -s)
@@ -87,25 +99,36 @@
 # Pedantic flags
 #
 ifeq ($(PEDANTIC),1)
-
+ifeq ($(COMPILER),icc)
+PEDANTIC_FLAGS := \
+	-Wcast-qual -Wfloat-equal -Wmissing-declarations \
+	-Wno-long-long -Wshadow -Wno-missing-field-initializers \
+	-Wno-missing-braces -Wno-sign-compare -Wno-multichar \
+	-DHAVE_PEDANTIC
+else
 PEDANTIC_FLAGS := \
 	-Wcast-qual -Wfloat-equal -Wmissing-declarations \
 	-Wmissing-format-attribute -Wno-long-long -Wpacked \
 	-Wredundant-decls -Wshadow -Wno-missing-field-initializers \
 	-Wno-missing-braces -Wno-sign-compare -Wno-multichar \
 	-DHAVE_PEDANTIC
+endif
 override CFLAGS += $(foreach flag,$(PEDANTIC_FLAGS),$(cc_supports_flag))
 endif
 
 #
 # Test for hardening flags and apply them if applicable
 #
-MACHINE = $(shell make -f Makefile.machine)
+MACHINE := $(shell make -f Makefile.machine)
 ifneq ($(PRESERVE_CFLAGS),1)
-ifneq ($(MACHINE),$(filter $(MACHINE),alpha parisc ia64))
-flag = -Wformat -fstack-protector-strong \
-	-U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 \
-	-Werror=format-security
+ifneq ($(MACHINE),$(filter $(MACHINE),alpha hppa ia64))
+flag = -Wformat -fstack-protector-strong -Werror=format-security
+#
+# add -D_FORTIFY_SOURCE=2 if _FORTIFY_SOURCE is not already defined
+#
+ifeq ($(shell echo _FORTIFY_SOURCE | $(CC) $(CFLAGS) -E -xc - | tail -1),_FORTIFY_SOURCE)
+flag += -D_FORTIFY_SOURCE=2
+endif
 override CFLAGS += $(cc_supports_flag)
 endif
 endif
@@ -115,7 +138,7 @@
 #
 ifneq ($(filter-out clang icc scan-build,$(COMPILER)),)
 override CFLAGS += $(foreach flag,-fipa-pta -fivopts,$(cc_supports_flag))
-ifneq ($(MACHINE),$(filter $(MACHINE),ibms390))
+ifneq ($(MACHINE),$(filter $(MACHINE),ibms390 s390))
 override CFLAGS += $(foreach flag,-fmodulo-sched,$(cc_supports_flag))
 endif
 endif
@@ -200,6 +223,14 @@
 override LDFLAGS += -static -z muldefs
 override CFLAGS += -DBUILD_STATIC
 endif
+
+#
+# Finalize flags
+#
+
+override CFLAGS := $(CFLAGS)
+override LDFLAGS := $(LDFLAGS)
+override VNNI_CFLAGS := $(VNNI_CFLAGS)
 
 BINDIR=/usr/bin
 MANDIR=/usr/share/man/man1
@@ -333,6 +364,7 @@
 	stress-copy-file.c \
 	stress-cpu.c \
 	stress-cpu-online.c \
+	stress-cpu-sched.c \
 	stress-crypt.c \
 	stress-cyclic.c \
 	stress-daemon.c \
@@ -341,6 +373,7 @@
 	stress-dentry.c \
 	stress-dev.c \
 	stress-dev-shm.c \
+	stress-dfp.c \
 	stress-dir.c \
 	stress-dirdeep.c \
 	stress-dirmany.c \
@@ -369,6 +402,7 @@
 	stress-fifo.c \
 	stress-file-ioctl.c \
 	stress-filename.c \
+	stress-flipflop.c \
 	stress-flock.c \
 	stress-flushcache.c \
 	stress-fma.c \
@@ -395,6 +429,7 @@
 	stress-heapsort.c \
 	stress-hrtimers.c \
 	stress-hsearch.c \
+	stress-hyperbolic.c \
 	stress-icache.c \
 	stress-icmp-flood.c \
 	stress-idle-page.c \
@@ -504,8 +539,10 @@
 	stress-prio-inv.c \
 	stress-priv-instr.c \
 	stress-procfs.c \
+	stress-pseek.c \
 	stress-pthread.c \
 	stress-ptrace.c \
+	stress-ptr-chase.c \
 	stress-pty.c \
 	stress-quota.c \
 	stress-qsort.c \
@@ -525,56 +562,3 @@
 	stress-rename.c \
 	stress-resched.c \
 	stress-resources.c \
-	stress-revio.c \
-	stress-ring-pipe.c \
-	stress-rlimit.c \
-	stress-rmap.c \
-	stress-rotate.c \
-	stress-rseq.c \
-	stress-rtc.c \
-	stress-sctp.c \
-	stress-schedmix.c \
-	stress-schedpolicy.c \
-	stress-seal.c \
-	stress-seccomp.c \
-	stress-secretmem.c \
-	stress-seek.c \
-	stress-sem.c \
-	stress-sem-sysv.c \
-	stress-sendfile.c \
-	stress-session.c \
-	stress-set.c \
-	stress-shellsort.c \
-	stress-shm.c \
-	stress-shm-sysv.c \
-	stress-sigabrt.c \
-	stress-sigbus.c \
-	stress-sigchld.c \
-	stress-sigfd.c \
-	stress-sigfpe.c \
-	stress-sigill.c \
-	stress-sigio.c \
-	stress-signal.c \
-	stress-signest.c \
-	stress-sigpending.c \
-	stress-sigpipe.c \
-	stress-sigq.c \
-	stress-sigrt.c \
-	stress-sigsegv.c \
-	stress-sigsuspend.c \
-	stress-sigtrap.c \
-	stress-sigurg.c \
-	stress-sigvtalrm.c \
-	stress-sigxcpu.c \
-	stress-sigxfsz.c \
-	stress-skiplist.c \
-	stress-sleep.c \
-	stress-smi.c \
-	stress-sock.c \
-	stress-sockabuse.c \
-	stress-sockdiag.c \
-	stress-sockfd.c \
-	stress-sockpair.c \
-	stress-sockmany.c \
-	stress-softlockup.c \
-	stress-spawn.c \
